#
#  ----->>>   root libraries
#

ROOTLIBS   := $(shell root-config --libs) -lASImage -lMinuit -lHistPainter -lThread
ROOTGLIBS  := $(shell root-config --glibs) -lASImage -lMinuit -lHistPainter -lThread
ROOTCFLAGS := $(shell root-config --cflags)

#
#  compiler flags
#

#
# You can use this flags to further costumize compilation:
#   export MARSDEFINES="-DHAVE_DARKBACKGROUND -DHAVE_XPM"
#   export MARSFLAGS=
#   export MARSLIBS="-lX11 -lXpm -L/usr/X11R6/lib"
#
DEFINES	 := -DMARSVER=\"\<cvs\>\" -D__MARS__ $(ARCHDEF) $(MARSDEFINES)

CXXFLAGS = $(ROOTCFLAGS) $(INCLUDES) $(OPTIM) $(DEBUG) $(DEFINES)
CFLAGS   = $(CXXFLAGS) $(MARSFLAGS)
FFLAGS   = $(CXXFLAGS)

HEADERS  = $(subst .cxx,.hxx,$(subst .cc,.h,$(SRCFILES)))
OBJS     = $(subst .cxx,.o,  $(subst .cc,.o,$(SRCFILES))) $(CINT)Cint.o
